from sqlalchemy.orm import Session

from .. import models, schemas


def get_pic(db: Session, pic_id: int):
    return db.query(models.image.Image).filter(models.image.Image.id == pic_id).first()


def get_pic_by_path(db: Session, file_path: int):
    return db.query(models.image.Image).filter(models.image.Image.file_path == file_path).first()


def get_pics(db: Session, skip: int = 0, limit: int = 100):
    return db.query(models.image.Image).offset(skip).limit(limit).all()


def create_pic(db: Session, pic: schemas.image.ImageCreate):
    db_pic = models.image.Image(file_path=pic.file_path,
                                file_name=pic.file_name, upload_time=pic.upload_time, size=pic.size, width=pic.width, height=pic.height)
    db.add(db_pic)
    db.commit()
    return db_pic
